      SUBROUTINE DASPRD(PARINT,PARDPR,COMM2D)
C
C     Name: DAta SPRedDing.
C     Author: Enrique LOPEZ-PAGES
C     Objective: To send crucial data to all processes
C     Called by: Spatial
C     It calls: 
C     Modifications:
C
C     SEQINT: SEQuence of INTegers
C     SEQDPR: SEQuence of Double PRecision
C 
      IMPLICIT NONE
      INCLUDE 'mpif.h' 
      INTEGER PARINT(100),COMM2D,IERR00,SEQINT,SEQDPR
      DOUBLE PRECISION PARDPR(100)
      CHARACTER*6 NAMSUB
C
C.... Preliminaries
      NAMSUB = 'SPREAD'
C.... Creating data types.
      CALL MPI_TYPE_CONTIGUOUS(100,MPI_INTEGER,SEQINT,IERR00)
      CALL MPI_TYPE_COMMIT(SEQINT,IERR00)
      CALL MPI_TYPE_CONTIGUOUS(100,MPI_DOUBLE_PRECISION,SEQDPR,IERR00)
      CALL MPI_TYPE_COMMIT(SEQDPR,IERR00)
C.... Broadcasting data
      CALL MPI_BCAST(PARINT,1,SEQINT,0,COMM2D,IERR00)
      CALL MPI_BCAST(PARDPR,1,SEQDPR,0,COMM2D,IERR00)
C
      RETURN
      END
